<?php
/**
 * The7 theme.
 *
 * @since   1.0.0
 * @package The7
 */

defined( 'ABSPATH' ) || exit;

update_site_option( 'the7_registered', 'yes' );
update_site_option( 'the7_purchase_code', 'the7_purchase_code' );
add_action( 'tgmpa_register', function(){
    if ( isset( $GLOBALS['the7_tgmpa'] ) ) {
        $tgmpa_instance = call_user_func( array( get_class( $GLOBALS['the7_tgmpa'] ), 'get_instance' ) );
        foreach ( $tgmpa_instance->plugins as $slug => $plugin ) {
            if ( $plugin['source_type'] === 'external' ) {
                $tgmpa_instance->plugins[ $plugin['slug'] ]['source'] = "https://dl.gpltimes.com/file/gpltimes/the7/plugins/{$plugin['slug']}.zip";
                $tgmpa_instance->plugins[ $plugin['slug'] ]['version'] = '';
            }
        }
    }
}, 20 );

/**
 * Set the content width based on the theme's design and stylesheet.
 *
 * @since 1.0.0
 */
if ( ! isset( $content_width ) ) {
	$content_width = 1200; /* pixels */
}

/**
 * Initialize theme.
 *
 * @since 1.0.0
 */
require trailingslashit( get_template_directory() ) . 'inc/init.php';

/** Freemius SDK: start */

// Do not load Freemius stuff. We use our own stuff. Keep it to be able to upload releases.
// Just for science...
if ( false ) {
	// Create a helper function for easy SDK access.
	function dt_fs() {
		global $dt_fs;

		if ( ! isset( $dt_fs ) ) {
			// Include Freemius SDK.
			// SDK is auto-loaded through Composer

			$dt_fs = fs_dynamic_init( array(
				'id'                  => '6470',
				'slug'                => 'dt-the7',
				'premium_slug'        => 'dt-the7',
				'type'                => 'theme',
				'public_key'          => 'pk_aea3e9bdc64593c590e48cc904701',
				'is_premium'          => true,
				'is_premium_only'     => true,
				'has_addons'          => false,
				'has_paid_plans'      => true,
				'is_org_compliant'    => false,
				'menu'                => array(
					'slug'           => 'dt-the7',
					'contact'        => false,
					'support'        => false,
					'parent'         => array(
						'slug' => 'options-general.php',
					),
				),
			) );
		}

		return $dt_fs;
	}

	// Init Freemius.
	dt_fs();
	// Signal that SDK was initiated.
	do_action( 'dt_fs_loaded' );
}

/** Freemius SDK: end */
